//java -Xmx300m -jar /Applications/Apps/3D\ Stuff/hfc.jar
//use same 8-bit PNG as for land
//horizontal scale is 147 (7*21*2/2), vertical scale is 14
//block size 8, number of blocks 40,000 (defaults), simplified packing OFF
//might consider larger block sizes: "bigger blocks lead to less repetitive patterns"; currently using default of 8
//tolerance must be one quarter blade height? But that's too small.
//so slide tolerance until tolerance 4
//
//Pack: Building dictionary should only take a 40-50 seconds
//Pack: Packing will take several minutes: 15 to 20 minutes
//
//slope filter -70%
//number of objects: 10,000,000

//Curved blades
//blade height is 0.3 yard (10.8 inches)
//area coverage: 80 (95.9%) <= this is blade width. The higher the number, the wider the blades
//leaf height: .3
//tightness 0
//resolution 10
//Export: Export takes about two minutes.

#if (renderGrass | renderAll)
	#declare Grass_Texture = texture {
		uv_mapping
		pigment {
			gradient y
			pigment_map {
				[0.2 Orange]
				[0.5 Red]
				[0.8 Orange]
				[1 Yellow]
			}
			turbulence .2
		}
		finish {
			ambient .8 //.15
			diffuse 0.7
			specular 0.2
			roughness 0.015
			phong 0.5
			phong_size 10
		}
		scale <0.001, 1, 0.001>
	}

	#declare grassField = union {
		#include "grass.inc"
		texture {
			Grass_Texture
		}
		double_illuminate
		translate <-simple_radius, 0, -simple_radius>
	}
	
#end

