// TREE_NAME=Palm;
//ROOT
#declare ROOTS=5;
#declare ROOT_RANDOM=13;
#declare FIRST_ROOT_AT_TRUNK=150;
#declare ROOT_LENGTH=300;
#declare ROOT_THICKNESS_CHANGE=0.8;
#declare ROOT_STRENGTH=2;
#declare ROOT_BEND=50;
#declare ROOT_BEND_FREQUENCY=5;
#declare ROOT_CURVE=15;
#declare ROOT_CURVE_FREQUENCY=5;
#declare ROOT_SNAG=5;
#declare ROOT_SNAG_FREQUENCY=10;
#declare ROOT_ANGLE=70;
#declare ROOT_ALIGNMENT=0;
#declare ROOT_TURN_SWITCH=1.0;
//TRUNK
#declare TRUNK_RADIUS=26;
#declare TRUNK_STRENGTH=1;
#declare TRUNK_BEND_X=-20;
#declare TRUNK_BEND_X_FREQUENCY=1.5;
#declare TRUNK_BEND_Z=20;
#declare TRUNK_BEND_Z_FREQUENCY=17.54386;
#declare TRUNK_CURVE=5;
#declare TRUNK_CURVE_FREQUENCY=3;
#declare TRUNK_SNAG=0;
#declare TRUNK_SNAG_FREQUENCY=10;
#declare TRUNK_SPIRAL=88.42105;
#declare TRUNK_TAPER=0.7193;
//BRANCH
#declare BRANCHES=40;
#declare BRANCH_RANDOM=13.77;
#declare FIRST_BRANCH_AT_TRUNK=392.98248;
#declare BRANCH_AREA_AT_TRUNK=50;
#declare BRANCH_THICKNESS_CHANGE=0.3;
#declare BRANCH_STRENGTH=1;
#declare BRANCH_BEND=-70.17544;
#declare BRANCH_BEND_FREQUENCY=2.45614;
#declare HORIZONTAL_BRANCH_BEND_SWITCH=0;
#declare EXTRA_NOISE_SWITCH=0.0;
#declare BRANCH_CURVE=0;
#declare BRANCH_CURVE_FREQUENCY=3;
#declare HORIZONTAL_BRANCH_CURVE_SWITCH=1.0;
#declare BRANCH_LONGITUDINAL_CURVE=1;
#declare BRANCH_SNAG=0;
#declare BRANCH_SNAG_FREQUENCY=5;
#declare BRANCH_REDUCTION=0;
#declare BRANCH_TAPER=0.6;
#declare BRANCH_END_EQUALIZER=0;
#declare BRANCH_TIP=0.6;
#declare BRANCH_TURN_SWITCH=0.0;
#declare BRANCH_ALTERNATE_SWITCH=0.0;
#declare BRANCH_SPIRAL=0;
#declare BRANCH_ANGLE=-20;
#declare BRANCH_ANGLE_SCOPE=10;
#declare BRANCH_ALIGNMENT=0.9;
#declare STRAIGHTEN_TOWARDS_TOP=0.6;
//TWIG
#declare TWIGS=70*BRANCHES;
#declare TWIG_RANDOM=77.37;
#declare FIRST_TWIG_AT_BRANCH=50;
#declare TWIG_AREA_AT_BRANCH=350;
#declare TWIG_THICKNESS_CHANGE=1;
#declare TWIG_STRENGTH=0;
#declare HORIZONTAL_TWIG_ANGLE=0;
#declare HORIZONTAL_TWIG_ANGLE_SCOPE=10;
#declare HORIZONTAL_TWIG_ALIGNMENT=0.9;
#declare VERTICAL_TWIG_ANGLE=30;
#declare VERTICAL_TWIG_ANGLE_SCOPE=10;
#declare VERTICAL_TWIG_ALIGNMENT=1.5;
#declare TWIG_TURN_SWITCH=0.0;
#declare TWIG_ALTERNATE_SWITCH=1.0;
#declare TWIG_CURVE_ADJUSTMENT=0;
#declare TWIG_CURVE_FREQUENCY_ADJUSTMENT=0;
#declare TWIG_TAPER=1;
#declare TWIG_TIP=0;
#declare STRAIGHTEN_TOWARDS_BRANCH_END=0;
#declare TWIG_RAMIFICATION_ORDER=0;
#declare LAST_RAMIFICATION_NUMBER=5;
#declare TWIG_RAMIFICATION_THICKNESS_CHANGE=1;
#declare TWIG_RAMIFICATION_CURVE_ADJUSTMENT=1;
#declare RAMI_CURVE_FREQUENCY_ADJUSTMENT=1;
#declare TWIG_RAMIFICATION_STRENGTH=0.5;
//BUNCH
#declare BUNCHES=1*TWIGS;
#declare FIRST_BUNCH_AT_TWIG=0;
#declare BUNCH_AREA_AT_TWIG=1;
#declare BUNCH_MAJOR_RADIUS=0;
#declare BUNCH_MINOR_RADIUS=0;
#declare HORIZONTAL_BUNCH_FUNNEL=5;
#declare VERTICAL_BUNCH_FUNNEL=5;
#declare ROTATION_BUNCH_FUNNEL=0;
#declare HORIZONTAL_BUNCH_ANGLE=80;
#declare VERTICAL_BUNCH_ANGLE=0;
#declare HORIZONTAL_BUNCH_ANGLE_SCOPE=5;
#declare VERTICAL_BUNCH_ANGLE_SCOPE=10;
#declare BUNCH_TURN_SWITCH=0.0;
#declare BUNCH_TURN_SHIFT=0;
#declare BUNCH_ALTERNATE_SWITCH=1.0;
#declare HORIZONTAL_BUNCH_ALIGNMENT=1;
#declare VERTICAL_BUNCH_ALIGNMENT=0.5;
#declare BUNCH_TAPER_OFF_AT_TWIG=0;
#declare BUNCH_TAPER_OFF_AT_BRANCH=-1;
#declare BUNCH_TAPER_OFF_AT_TREE=0;
#declare BUNCH_ARC_AT_TWIG=<0, 0, 0>;
#declare BUNCH_ARC_AT_BRANCH=<0.25, 0, 0>;
#declare BUNCH_DEFORM=<1, 1, 1>;
//BARK
#declare SUNKEN_TRUNK_COLOR=<0, 0, 0>;
#declare RAISED_TRUNK_COLOR=<0.5, 0.3, 0>;
#declare FOLIAGE_COLOR_AT_BRANCH_END=1;
#declare TRUNK_SCAR_WIDTH=45;
#declare TRUNK_SCAR_HEIGHT=10;
#declare HORIZONTAL_SCAR_SHRINKING=0.7;
#declare VERTICAL_SCAR_SHRINKING=3;
#declare SCAR_DEPTH=1;
#declare BARK_PROFILE=1;
#declare BRANCH_BARK_PROFILE_CHANGE=1;
#declare BRANCH_BARK_PROFILE_TAPER_OFF=1;
#declare ROOT_BARK_PROFILE_CHANGE=0.7;
#declare PALM_TRUNK=0.9;
//FOLIAGE
#include "TOMLEAF.inc"
#declare Mesh12a = mesh {
	triangle{<0.0, 0.0, 2.9802322E-8>, <0.099999994, 0.0, 0.3>, <0.39999998, 0.0, 0.099999994>}
	triangle{<0.099999994, 0.0, 0.3>, <0.39999998, 0.0, 0.099999994>, <0.25, 0.0, 0.45000002>}
	triangle{<0.39999998, 0.0, 0.099999994>, <0.25, 0.0, 0.45000002>, <0.5, 0.0, 0.25>}
	triangle{<0.5, 0.0, 0.5>, <0.25, 0.0, 0.45000002>, <0.5, 0.0, 0.25>}
	triangle{<0.0, 0.0, 2.9802322E-8>, <0.39999998, 0.0, 0.099999994>, <0.39999998, 0.0, -0.100000024>}
	triangle{<0.39999998, 0.0, 0.099999994>, <0.39999998, 0.0, -0.100000024>, <1.0, 0.0, 0.0>}
	triangle{<0.39999998, 0.0, 0.099999994>, <1.0, 0.0, 0.0>, <0.75, 0.0, 0.19999999>}
	triangle{<0.39999998, 0.0, -0.100000024>, <1.0, 0.0, 0.0>, <0.75, 0.0, -0.19999999>}
	triangle{<0.0, 0.0, 2.9802322E-8>, <0.39999998, 0.0, -0.100000024>, <0.099999964, 0.0, -0.3>}
	triangle{<0.39999998, 0.0, -0.100000024>, <0.099999964, 0.0, -0.3>, <0.24999997, 0.0, -0.45>}
	triangle{<0.39999998, 0.0, -0.100000024>, <0.24999997, 0.0, -0.45>, <0.49999997, 0.0, -0.25>}
	triangle{<0.24999997, 0.0, -0.45>, <0.49999997, 0.0, -0.25>, <0.49999997, 0.0, -0.5>}
};
#declare LEAF_TYPE=Mesh12a;
#declare LEAVES=1*BUNCHES;
#declare LEAF_LENGTH=80;
#declare LEAF_BREADTH=15;
#declare LEAF_HEIGHT=20;
#declare MAX_LEAF_TILT=10;
#declare MAX_LEAF_TURN=10;
#declare LEAF_INCLINATION=35;
#declare LEAF_INCLINATION_SCOPE=5;
#declare BOTTOM_COLOR_1=<1.0, 0.64024, 0.12195, 0.0, 0.0>;
#declare BOTTOM_COLOR_2=<1.0, 0.64024, 0.12195, 0.0, 0.0>;
#declare TOP_COLOR_1=<1.0, 0.64024, 0.12195, 0.0, 0.0>;
#declare TOP_COLOR_2=<1.0, 0.64024, 0.12195, 0.0, 0.0>;
#declare COLOR_TURB=2;
#declare TRANSITION_BOTTOM_TOP=0.5;
#declare TRANSITION_TURB=0.5;
#declare FOLIAGE_GLOSS=0.25;
#declare FOLIAGE_FILTER=0.0;
#declare FOLIAGE_TRANSPARENCY=0.0;
//BLOSSOM
#declare BlossomMesh16 = mesh {
	triangle{<0.7, 0.3233578, -0.13393918>, <0.7, 0.3233578, 0.13393924>, <-0.0, 0.0, 0.0>}
	triangle{<0.7, 0.3233578, -0.13393918>, <0.7, 0.3233578, 0.13393924>, <0.8, 0.49999994, 3.4969112E-8>}
	triangle{<0.7, 0.32335782, 0.13393919>, <0.7, 0.13393916, 0.32335785>, <-0.0, 0.0, 0.0>}
	triangle{<0.7, 0.32335782, 0.13393919>, <0.7, 0.13393916, 0.32335785>, <0.8, 0.35355335, 0.35355338>}
	triangle{<0.7, 0.1339392, 0.32335782>, <0.7, -0.1339392, 0.32335782>, <-0.0, 0.0, 0.0>}
	triangle{<0.7, 0.1339392, 0.32335782>, <0.7, -0.1339392, 0.32335782>, <0.8, 0.0, 0.49999997>}
	triangle{<0.7, -0.13393916, 0.32335785>, <0.7, -0.32335782, 0.13393919>, <-0.0, 0.0, 0.0>}
	triangle{<0.7, -0.13393916, 0.32335785>, <0.7, -0.32335782, 0.13393919>, <0.8, -0.35355335, 0.35355338>}
	triangle{<0.7, -0.3233578, 0.13393924>, <0.7, -0.3233578, -0.13393918>, <-0.0, 0.0, 0.0>}
	triangle{<0.7, -0.3233578, 0.13393924>, <0.7, -0.3233578, -0.13393918>, <0.8, -0.49999994, 3.4969112E-8>}
	triangle{<0.7, -0.32335782, -0.13393913>, <0.7, -0.13393916, -0.3233578>, <-0.0, 0.0, 0.0>}
	triangle{<0.7, -0.32335782, -0.13393913>, <0.7, -0.13393916, -0.3233578>, <0.8, -0.35355335, -0.35355332>}
	triangle{<0.7, -0.1339392, -0.32335776>, <0.7, 0.1339392, -0.32335776>, <-0.0, 0.0, 0.0>}
	triangle{<0.7, -0.1339392, -0.32335776>, <0.7, 0.1339392, -0.32335776>, <0.8, 0.0, -0.49999994>}
	triangle{<0.7, 0.13393918, -0.3233578>, <0.7, 0.32335782, -0.13393915>, <-0.0, 0.0, 0.0>}
	triangle{<0.7, 0.13393918, -0.3233578>, <0.7, 0.32335782, -0.13393915>, <0.8, 0.35355338, -0.35355335>}
};
#declare BLOSSOM=BlossomMesh16;
#declare BLOSSOMS=1*BUNCHES;
#declare BLOSSOM_LENGTH=15;
#declare BLOSSOM_WIDTH=30;
#declare BLOSSOM_INCLINATION=0;
#declare BLOSSOM_COLOR=<0.0, 0.41667, 1>;
